package cc.smtweb.system.bpm.web.sys.user.dataRight;

import cc.smtweb.framework.core.annotation.SwTable;
import cc.smtweb.framework.core.db.impl.DefaultEntity;

/**
 * Created by 1 at 2022-09-19 16:55:23
 * 实体【[数据权限定义](SYS_DATA_RIGHT_DEFINE)】的Entity类
 */
@SwTable("SYS_DATA_RIGHT_DEFINE")
public class DataRightDefine extends DefaultEntity {
    public static final String ENTITY_NAME = "SYS_DATA_RIGHT_DEFINE";

    public DataRightDefine() {
        super(ENTITY_NAME);
    }

    /** 主键 */
    public long getId() {
        return getLong("sdrd_id");
    }

    /** 主键 */
    public void setId(long sdrd_id) {
        put("sdrd_id", sdrd_id);
    }
    /** 编码 */
    public String getCode() {
        return getStr("sdrd_code");
    }

    /** 编码 */
    public void setCode(String sdrd_code) {
        put("sdrd_code", sdrd_code);
    }
    /** 名称 */
    public String getName() {
        return getStr("sdrd_name");
    }

    /** 名称 */
    public void setName(String sdrd_name) {
        put("sdrd_name", sdrd_name);
    }
    /** 备注 */
    public String getRemark() {
        return getStr("sdrd_remark");
    }

    /** 备注 */
    public void setRemark(String sdrd_remark) {
        put("sdrd_remark", sdrd_remark);
    }
    /** 控件模型 */
    public long getWidget() {
        return getLong("sdrd_widget");
    }

    /** 控件模型 */
    public void setWidget(long sdrd_widget) {
        put("sdrd_widget", sdrd_widget);
    }
    /** 所属项目 */
    public long getMpId() {
        return getLong("sdrd_mp_id");
    }

    /** 所属项目 */
    public void setMpId(long sdrd_mp_id) {
        put("sdrd_mp_id", sdrd_mp_id);
    }
    /** 所属目录 */
    public long getMcId() {
        return getLong("sdrd_mc_id");
    }

    /** 所属目录 */
    public void setMcId(long sdrd_mc_id) {
        put("sdrd_mc_id", sdrd_mc_id);
    }
}
